Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts
Interface JRBarPlot

All Superinterfaces:
  java.lang.Cloneable, JRCategoryAxisFormat, JRChartPlot, JRCloneable, JRValueAxisFormat

All Known Implementing Classes:
  JRBaseBarPlot, JRDesignBarPlot, JRFillBarPlot

    public interface JRBarPlot

extends JRChartPlot, JRCategoryAxisFormat, JRValueAxisFormat

Version:
  $Id: JRBarPlot.java 3032 2009-08-27 11:32:28Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Nested Class Summary

Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.JRChartPlot
`JRChartPlot.JRSeriesColor`

Field Summary

Fields inherited from interface net.sf.jasperreports.charts.JRCategoryAxisFormat
`PROPERTY_CATEGORY_AXIS_TICK_LABEL_ROTATION`

Method Summary
`JRExpression` | `getCategoryAxisLabelExpression()`
`JRExpression` | `getDomainAxisMaxValueExpression()`
`JRExpression` | `getDomainAxisMinValueExpression()`
`JRItemLabel` | `getItemLabel()`
`JRExpression` | `getRangeAxisMaxValueExpression()`
`JRExpression` | `getRangeAxisMinValueExpression()`
`java.lang.Boolean` | `getShowLabels()`
`java.lang.Boolean` | `getShowTickLabels()`
`java.lang.Boolean` | `getShowTickMarks()`
`JRExpression` | `getValueAxisLabelExpression()`
`boolean` | `isShowLabels()` Deprecated. Replaced by `getShowLabels()`
`boolean` | `isShowTickLabels()` Deprecated. Replaced by `getShowTickLabels()`
`boolean` | `isShowTickMarks()` Deprecated. Replaced by `getShowTickMarks()`
`void` | `setShowLabels(boolean isShowLabels)` Deprecated. Replaced by `setShowLabels(Boolean)`
`void` | `setShowLabels(java.lang.Boolean isShowLabels)`
`void` | `setShowTickLabels(boolean isShowTickLabels)` Deprecated. Replaced by `setShowTickLabels(Boolean)`
`void` | `setShowTickLabels(java.lang.Boolean isShowTickLabels)`
`void` | `setShowTickMarks(boolean isShowTickMarks)` Deprecated. Replaced by `setShowTickMarks(Boolean)`
`void` | `setShowTickMarks(java.lang.Boolean isShowTickMarks)`

Methods inherited from interface net.sf.jasperreports.engine.JRChartPlot
`addSeriesColor, clearSeriesColors, clone, collectExpressions, getBackcolor, getBackgroundAlpha, getBackgroundAlphaFloat, getChart, getForegroundAlpha, getForegroundAlphaFloat, getLabelRotation, getLabelRotationDouble, getOrientation, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setBackgroundAlpha, setForegroundAlpha, setForegroundAlpha, setLabelRotation, setLabelRotation, setOrientation, setSeriesColors`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Methods inherited from interface net.sf.jasperreports.charts.JRCategoryAxisFormat
`getCategoryAxisLabelColor, getCategoryAxisLabelFont, getCategoryAxisLineColor, getCategoryAxisTickLabelColor, getCategoryAxisTickLabelFont, getCategoryAxisTickLabelMask, getCategoryAxisTickLabelRotation, getCategoryAxisVerticalTickLabels, getOwnCategoryAxisLabelColor, getOwnCategoryAxisLineColor, getOwnCategoryAxisTickLabelColor, setCategoryAxisTickLabelRotation`

Methods inherited from interface net.sf.jasperreports.charts.JRValueAxisFormat
`getOwnValueAxisLabelColor, getOwnValueAxisLineColor, getOwnValueAxisTickLabelColor, getValueAxisLabelColor, getValueAxisLabelFont, getValueAxisLineColor, getValueAxisTickLabelColor, getValueAxisTickLabelFont, getValueAxisTickLabelMask, getValueAxisVerticalTickLabels`

Method Detail

### getCategoryAxisLabelExpression

    JRExpression getCategoryAxisLabelExpression()

### getValueAxisLabelExpression

    JRExpression getValueAxisLabelExpression()

### getDomainAxisMinValueExpression

    JRExpression getDomainAxisMinValueExpression()

### getDomainAxisMaxValueExpression

    JRExpression getDomainAxisMaxValueExpression()

### getRangeAxisMinValueExpression

    JRExpression getRangeAxisMinValueExpression()

### getRangeAxisMaxValueExpression

    JRExpression getRangeAxisMaxValueExpression()

### isShowTickMarks

    boolean isShowTickMarks()

  Deprecated. Replaced by `getShowTickMarks()`

### getShowTickMarks

    java.lang.Boolean getShowTickMarks()

### setShowTickMarks

    void setShowTickMarks(boolean isShowTickMarks)

  Deprecated. Replaced by `setShowTickMarks(Boolean)`

### setShowTickMarks

    void setShowTickMarks(java.lang.Boolean isShowTickMarks)

### isShowTickLabels

    boolean isShowTickLabels()

  Deprecated. Replaced by `getShowTickLabels()`

### getShowTickLabels

    java.lang.Boolean getShowTickLabels()

### getItemLabel

    JRItemLabel getItemLabel()

### setShowTickLabels

    void setShowTickLabels(boolean isShowTickLabels)

  Deprecated. Replaced by `setShowTickLabels(Boolean)`

### setShowTickLabels

    void setShowTickLabels(java.lang.Boolean isShowTickLabels)

### isShowLabels

    boolean isShowLabels()

  Deprecated. Replaced by `getShowLabels()`

### getShowLabels

    java.lang.Boolean getShowLabels()

### setShowLabels

    void setShowLabels(boolean isShowLabels)

  Deprecated. Replaced by `setShowLabels(Boolean)`

### setShowLabels

    void setShowLabels(java.lang.Boolean isShowLabels)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com